[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TComponent.UpdateAction

Updates the state of an action.

## Declaration

Source position: classesh.inc line 1750

`public function TComponent.UpdateAction(`
`Action: TBasicAction`
`):Boolean; dynamic;`

## Description

UpdateAction checks whether Action handles the current component, and if yes, calls the UpdateTarget method, passing itself as a parameter. The function returns True if the action handles the current component.

## See also

TBasicAction |  | Abstract base class for all Actions.
TBasicAction.UpdateTarget |  | Notify client controls when the action updates itself.
TBasicAction.HandlesTarget |  | Determines whether Target can be handled by this action
TBasicAction.ExecuteAction

Documentation generated on: Feb 26 2014